import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

export default new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/login',
      name: 'login',
      component: () => import('./views/login.vue'),
    },
    {
      path: '/',
      name: 'index',
      component: () => import('./views/index.vue'),
      children: [
        {
          path: '/404',
          name: 'notFound',
          component: () => import('./views/NotFound.vue'),
        },
        {
          path: '/user',
          name: 'User',
          component: () => import('./views/UserMes/userMes.vue'),
        },
        {
          path: '/views/certificate/index',
          name: 'certificate',
          component: () => import('./views/certificate/index.vue'),
        },
        {
          path: '/views/account/register',
          name: 'register',
          component: () => import('./views/account/register.vue'),
        },
        {
          path: '/views/audit/behavior',
          name: 'behavior',
          component: () => import('./views/audit/behavior .vue'),
        },
        {
          path: '/group',
          name: 'group',
          component: () => import('./views/role/group.vue'),
        },
        {
          path: '/resources',
          name: 'resources',
          component: () => import('./views/role/resources.vue'),
        },
        {
          path: '/role',
          name: 'role',
          component: () => import('./views/role/role.vue'),
        },
        {
          path: '/confer',
          name: 'confer',
          component: () => import('./views/role/confers.vue'),
        },
        {
          path: '/right',
          name: 'right',
          component: () => import('./views/role/right.vue'),
        },
        {
          path: '/views/duty/duty',
          name: 'duty',
          component: () => import('./views/duty/duty.vue'),
        },
      ],
    },
  ],
});
